STRINGS(1)

NAME
strings - print strings of printable characters in files

SYNOPSIS
strings [-a] [-n num] [-t format] [file ...]

DESCRIPTION
strings writes sequences of at least 4 printable characters in each file to stdout. If no file is given, strings reads from stdin.

OPTIONS

-a  Scan each file entirely. This is the default.

-n num
    Print sequences of at least num characters. The default is 4.

-t format
    Prepend each string with its byte offset, with format being one of d, o, x for decimal, octal or hexadecimal numbers.

STANDARDS
POSIX.1-2013.

The [-t] output format has been changed from "%F %s" to "%8lF: %s", with F being one of d, o, x.